apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    name: calibre-ingress
    namespace: home-stuff
    annotations:
        kubernetes.io/ingress.class: nginx
        nginx.ingress.kubernetes.io/proxy-body-size: 10m
        cert-manager.io/issuer: vault-issuer
        cert-manager.io/common-name: calibre.k3s.local
spec:
    rules:
        - host: ENC[AES256_GCM,data:sEQyO+oR3npv3Pvr+worJHU=,iv:koTdzvFu1vp+N3xh+fRjxYE+7/Xsrs4zM3UVsEQUbSI=,tag:CBbHElyufd3ndYMOm8tBQg==,type:str]
          http:
            paths:
                - path: ENC[AES256_GCM,data:kA==,iv:TNyug5csy7Q5ooGtk8aMsV2Se6k3KSobU/ALFBFaj6I=,tag:bSpzJY3id/5IetPR0HbHgA==,type:str]
                  pathType: ENC[AES256_GCM,data:G9RBy6jU,iv:bPO6sVTcvGe2rZ3VogjOFaDwAbb2HJZbLoLAdOV7noM=,tag:ApMlw8UCKKi5fbdlpdH0pg==,type:str]
                  backend:
                    service:
                        name: ENC[AES256_GCM,data:AIlZIIGNlPx4ZEBLmCfGdtlvqA==,iv:v6LS+wkxwtLC3tfHMnJojDnEeEW5goAgj/UyHtGDGUk=,tag:oSAu+qbWVhGxO/z37iGPEQ==,type:str]
                        port:
                            number: ENC[AES256_GCM,data:+Q6Q8w==,iv:xBFa8ZjAnOUMSxKsTrP3CQ7R1WIpUb1b+BieX3CT1Hc=,tag:oORj9UbiBLDUUnO/MHMg9A==,type:int]
    #ENC[AES256_GCM,data:SSV4C/wBGxPV9L768DUJkjV1E5ObaxyhXqd9TilczUW9CBLKo5iZ9PEvwtlx9pSgm2tJpqPfblmPj6W2qKZqYRcS8ENssSXIRCTSvMh8GId5oXChvb6+B6QU5yBU,iv:0wYIZjW75tkrMeZsd1rEfXGnebqdiuDl3ht/VD5nm7c=,tag:nKcjkUWjO4psFsoKmAD1UA==,type:comment]
    tls:
        - hosts:
            - ENC[AES256_GCM,data:R2wwQoHBqM/FJHBmJC+3AZg=,iv:6ieVyUBkQedyMi5ZLuKP3WKN1Nh4UVZFffpD4+00xVA=,tag:GpFDew9qOTFNf6fz6AFWrw==,type:str]
          secretName: ENC[AES256_GCM,data:2pheJz4HlrJ34p32fxwU0A==,iv:hMWVu5MaGdUw2StH1cFgP3btOHH7gs3vxRzNnl0ax9A=,tag:v7EmCBh8y+IOJFdW+QKIGQ==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSByWnYyS2tsT014aEYrOVdw
            dHdGY0JBTW9aRmR1bk9UdlpRVjBGcm5SNkRnCisyUkFrN3UwYmQ5MklWZGl5QWlB
            NjBvRFlkUENPSHI1cjMya0F4amJEUkkKLS0tIHJBS2FQYnZPYzF6UEdhU2ZTV0FX
            ekJjSjg2ZUxuMXdiMTR3byt0bHM2S1kKTK5pWiA7eiuRdTBlX8uy6mPPccCNKY1A
            y6pv+NaGXKGe699shrIP3cceGoh0ktsDqVSxWr7s2m4PfZ2TIT9q/w==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:13Z"
    mac: ENC[AES256_GCM,data:XJm1WgRf5Q8OlsxZycKp4SabSj/KeogGs9AR3osKBh/O1xA4qM2ynpWZF+Rx9bd6J0v3tjfGvU8gXnsF0sGDjdXs9ej38XiwsfOj7DhkXRyAt0ymfLR9yF+b29MZohTwVOks5hNi2UfiIgk6XIfGI0fIPMtxmPGGl51u60JLGII=,iv:a1oaig1dUEBywzZXphMC5w6DdmSze0P2kPXYwJ1/kKc=,tag:iPjR5en2lqeS9BUqvf1MQQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
